Subject: Re: [PATCH net-next v1] net: netcp: remove call to netif_carrier_(on/off) for MAC to Phy interface

From: Murali Karicheri <[email-masked]>
Date: Mon, 27 Apr 2015 14:09:40 -0400

On 04/27/2015 01:23 PM, David Miller wrote:
> From: Murali Karicheri<[email-masked]>
> Date: Mon, 27 Apr 2015 13:07:35 -0400
>
>> On 04/25/2015 03:48 PM, David Miller wrote:
>>> From: Murali Karicheri<[email-masked]>
>>> Date: Fri, 24 Apr 2015 15:01:41 -0400
>>>
>>>> Currently when interface type is MAC to Phy, netif_carrier_(on/off)
>>>> is called which is not needed as Phy lib already updates the carrier
>>>> status to net stack. This is needed only for other interface types
>>>>
>>>> Signed-off-by: Murali Karicheri<[email-masked]>
>>>
>>> net-next is not open for submissions yet
>> David,
>>
>> Do I need to re-submit this patch when the net-next gets opened for
>> this? This is essentially a bug fix and can be applied to current
>
> If it's really a bug fix, then you shouldn't target it at net-next.
>
> I'll never understand why people do things like this.
Ok. My bad. I will re-send it with proper prefix for applying to v4.1.

-- 
Murali Karicheri
Linux Kernel, Texas Instruments